%define version 1.5.1

Name: rofi
Version: %{version}
Release: 1%{?dist}
Summary: A window switcher, run dialog and dmenu replacement

License: MIT/X11
URL: https://github.com/DaveDavenport/rofi

BuildRequires: i3 >= 4.5
BuildRequires: pkgconfig(xft) >= 2.0
BuildRequires: pkgconfig(cairo-xcb)
BuildRequires: pkgconfig(glib-2.0) >= 2.40
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(pangocairo)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xkbcommon) >= 0.5.0
BuildRequires: pkgconfig(xkbcommon-x11)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-xkb)
BuildRequires: pkgconfig(xcb-xinerama)
BuildRequires: pkgconfig(x11-xcb)
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pkgconfig(xcb-ewmh)
BuildRequires: pkgconfig(xcb-icccm)
BuildRequires: pkgconfig(xcb-xrm)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(check) >= 0.11.0
BuildRequires: flex >= 2.5.39
BuildRequires: bison

BuildRequires: autoconf automake libtool

BuildRequires: git
BuildRequires: gcc-c++

%description
A popup window switcher roughly based on superswitcher, requiring only xlib and pango.

%prep
rm -rf rofi
git clone https://github.com/DaveDavenport/rofi --recursive -b %{version}
mv rofi/* .

%build
autoreconf -i
mkdir build
cd build
../configure --prefix=/usr/
make -j

%install
cd build
%make_install

%check

%files
%{_bindir}/rofi
%{_bindir}/rofi-sensible-terminal
%{_bindir}/rofi-theme-selector
%{_includedir}/rofi/*.h
%{_exec_prefix}/lib/pkgconfig/*.pc
%{_mandir}/man1/rofi.1.*
%{_mandir}/man1/rofi-theme-selector.1.*
%{_mandir}/man1/rofi-sensible-terminal.1.*
%{_mandir}/man5/rofi-theme.5.*
%{_datadir}/rofi/themes/*.rasi

%doc AUTHORS Changelog README.md Examples

%license COPYING